dnsjit.core.object.gre(3)

NAME
dnsjit.core.object.gre - Generic Routing Encapsulation (GRE) part of a packet

DESCRIPTION
The GRE part of a packet that usually can be found in the object chain after parsing with, for example, Layer filter. See RFC 1701.

  Attributes

gre_flags
    The GRE flags.

ether_type
    The protocol type of the payload packet.

checksum
    The checksum of the GRE header and the payload packet.

key The Key field contains a four octet number which was inserted by the encapsulator.

sequence
    The Sequence Number field contains an unsigned 32 bit integer which is inserted by the encapsulator.

  Functions

Gre:type()
    Return the textual type of the object.

Gre:prev()
    Return the previous object.

Gre:cast()
    Cast the object to the underlining object module and return it.

Gre:uncast()
    Cast the object to the generic object module and return it.

Gre:copy()
    Make a copy of the object and return it.

Gre:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net